Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QFtp.Command

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QFtp.Command

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFtp

    public static final class QFtp.Command

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QFtp.Command` | `Cd`
`static QFtp.Command` | `Close`
`static QFtp.Command` | `ConnectToHost`
`static QFtp.Command` | `Get`
`static QFtp.Command` | `List`
`static QFtp.Command` | `Login`
`static QFtp.Command` | `Mkdir`
`static QFtp.Command` | `None`
`static QFtp.Command` | `Put`
`static QFtp.Command` | `RawCommand`
`static QFtp.Command` | `Remove`
`static QFtp.Command` | `Rename`
`static QFtp.Command` | `Rmdir`
`static QFtp.Command` | `SetProxy`
`static QFtp.Command` | `SetTransferMode`

Method Summary
`static QFtp.Command` | `resolve(int value)` Returns the Command constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFtp.Command` | `valueOf(java.lang.String name)`
`static QFtp.Command[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### None

    public static final QFtp.Command None

### SetTransferMode

    public static final QFtp.Command SetTransferMode

### SetProxy

    public static final QFtp.Command SetProxy

### ConnectToHost

    public static final QFtp.Command ConnectToHost

### Login

    public static final QFtp.Command Login

### Close

    public static final QFtp.Command Close

### List

    public static final QFtp.Command List

### Cd

    public static final QFtp.Command Cd

### Get

    public static final QFtp.Command Get

### Put

    public static final QFtp.Command Put

### Remove

    public static final QFtp.Command Remove

### Mkdir

    public static final QFtp.Command Mkdir

### Rmdir

    public static final QFtp.Command Rmdir

### Rename

    public static final QFtp.Command Rename

### RawCommand

    public static final QFtp.Command RawCommand

Method Detail

### values

    public static QFtp.Command[] values()

### valueOf

    public static QFtp.Command valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFtp.Command resolve(int value)

  Returns the Command constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD